Subject: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Tak Kunihiro <[email-masked]>
Date: Thu, 23 May 2019 13:24:15 +0900

>> FWIW, a setting of
>> 
>>     (5 ((shift) . 1) ((control)))
>>     
>> is IMO perfectly usable. At least with progressive scroll off. The
>> only downsides are that it doesn’t match the way other apps work on my
>> desktop, and with a mousewheel (as opposed to a touchpad)
>> shift‐scrolling is captured by the OS and converted to horizontal
>> scrolling, so shift‐scroll does nothing anyway.
>
> Then I think we should make the above the default.

I have no objection to it.

To be consistent among platform, should mouse-wheel-progressive-speed be
t?

>> I still feel a default scroll amount of 1 feels much better, but it
>> may just be that I’m used to it.
>
> People who want a behavior different from the default can always
> customize, right?

Yes.

I feel different default value is better as Alan inferred; however, I
think consistency among platform is important as well.